function [] = PlottingAllRegions_2D(metadata,gridx, gridy, FAC10_mid_past,...
    FAC10_mid_pres, poly_100, T_thresh, accum_thresh, x1, y1, z1, x2, y2, z2, vis,orig)

time_bin = [1949.50       1959.50       1969.50       1979.50 ...
    1989.50       1996.50      2009.5  2019.50];
col = lines(length(time_bin)-1);
%%
f = figure('Visible',vis,'outerposition',[1 0 20 30]);
ha = tight_subplot(1,2,0.02,0.1,0.12);
h_obs=[];
h_obs_2 = [];
for kk =1:2
    set(f,'CurrentAxes',ha(kk))
    hold on
  
    switch kk
        case 1
            h_red_light = patch(poly_100(:,1),...
                    poly_100(:,2),RGB('rouge clair'));

             h_yellow = patch(min(poly_100(poly_100(:,2)<1143,1), T_thresh),...
                    poly_100(poly_100(:,2)<1143,2),RGB('jaune'));  
                
            fit_function = @(x,y) FAC10_mid_past(x,y);
%             title('a) 1998 - 2008')
            x = [x1; metadata.T_avg(metadata.T_avg<T_thresh)]; 
            y = [y1; metadata.c_avg(metadata.T_avg<T_thresh)]; 
            z = [z1; metadata.FAC10(metadata.T_avg<T_thresh)]; 
            %years = year1;
        case 2
            h_red = patch(poly_100(:,1),...
                    poly_100(:,2),RGB('rouge'));
             h_green = patch(max(poly_100(poly_100(:,1)>-23.75,1), T_thresh),...
                    max(poly_100(poly_100(:,1)>-23.75,2),accum_thresh),RGB('vert'));
             h_yellow = patch(min(poly_100(poly_100(:,2)<1143,1), T_thresh),...
                    poly_100(poly_100(:,2)<1143,2),RGB('jaune'));   

            fit_function = @(x,y) FAC10_mid_pres(x,y);
%                     title('b) 2010 - 2017')
            x = [x2; metadata.T_avg(metadata.T_avg<T_thresh)]; 
            y = [y2; metadata.c_avg(metadata.T_avg<T_thresh)]; 
            z = [z2; metadata.FAC10(metadata.T_avg<T_thresh)]; 
    end
    
   ind_in_firn = reshape(inpoly([x y],(poly_100)),size(x));
    x = x(ind_in_firn);
    y = y(ind_in_firn);
    z = z(ind_in_firn);
    
    ind_in_firn = reshape(inpoly([gridx(:) gridy(:)],(poly_100)),size(gridx));
    temp = fit_function(gridx, gridy);
    temp(~ind_in_firn) = NaN;
    [C, h] = contour(gridx, gridy, temp-0.0001,0:1:6);
    h.LineColor = 'k';
    h.LineWidth = 1;
    
    if kk == 1
        x_p=[poly_100(poly_100(:,1)>=T_thresh,1); T_thresh; T_thresh; T_thresh];
        y_p=[max(poly_100(poly_100(:,1)>=T_thresh,2),accum_thresh); 600; 700; 1150];

        k = boundary(x_p, y_p, 0.98);
        poly_bis = [x_p(k), y_p(k)];
         h_gray = patch(poly_bis(:,1), poly_bis(:,2), RGB('dark gray'),'LineWidth',1); 
    end

%     h_firn = patch(poly_100(:,1),...
%         poly_100(:,2),'w');
%     h_firn.FaceColor = 'none';
%     h_firn.LineWidth = 1.5;

        if exist(sprintf('./Output/h_label_AllReg_%i.mat',kk)) == 2
            load(sprintf('./Output/h_label_AllReg_%i.mat',kk))
            for ii =1:length(h_label)
                h_label(ii).Parent = gca;
            end
        else
            h_label= clabel(C, 'manual','Color','k',...
                'FontWeight','bold',...
                'BackgroundColor',RGB('light light gray'),...
                'Margin',0.5);

            for ii = 1:2:length(h_label)
                h_label(ii).MarkerSize     = 0.00001;
            end
            save(sprintf('./Output/h_label_AllReg_%i',kk),'h_label')
        end

    % plotting the core derived FAC 
    size_marker = 30;
    % DSA
    h_obs_1 =  scatter(x(x<T_thresh) , y(x<T_thresh), size_marker,...
            'MarkerFaceColor',[1 1 1],...
            'MarkerEdgeColor',[0 0 0]) ;
    if kk == 1
    % LAPA pre 2010
        h_obs_2(kk) =  scatter(x(and(x>T_thresh,y<accum_thresh)) ,...
            y(and(x>T_thresh,y<accum_thresh)), size_marker,...
                'd',...
                'MarkerFaceColor',[1 1 1],...
                'MarkerEdgeColor',[0 0 0]) ;

    elseif kk == 2
    % LAPA post 2010
        h_obs_2(kk) =  scatter(x(and(x>T_thresh,y<accum_thresh)) ,...
            y(and(x>T_thresh,y<accum_thresh)), size_marker,...
                '^',...
                'MarkerFaceColor',[1 1 1],...
                'MarkerEdgeColor',[0 0 0]) ;
    end

if kk ==1 
        % HAPA pre 2010
        cond = ((x>T_thresh) ...
            + (y>accum_thresh) ...
            + (z>0) ...
            ) == 3;
        h_obs_33 =  scatter(x(cond) ,...
        y(cond), size_marker,...
            '<',...
            'MarkerFaceColor',[1 1 1],...
            'MarkerEdgeColor',[0 0 0]) ;
else
    % HAPA post 2010
        cond = ((x>T_thresh) ...
            + (y>650) ...
            + (z>0)) == 3;
        h_obs_3 =  scatter(x(cond) ,...
        y(cond), size_marker,...
            's',...
            'MarkerFaceColor',[1 1 1],...
            'MarkerEdgeColor',[0 0 0]) ;
end
    % Additional observation from the firn line
    h_obs_4 =  scatter(x(z==0) , y(z==0), size_marker,...
            'v',...
            'MarkerFaceColor',[1 1 1],...
            'MarkerEdgeColor',[0 0 0]) ; 
        
    axis fill 
    box on

    ylabel('$\mathrm{\overline{\dot{c}}  \: (mm w.eq. yr^{-1})}$','Interpreter','latex') ;
    xlabel('$\mathrm{\overline{T_a}}  \:(^oC)$','Interpreter','latex')
    axis tight square
    set(gca,'Ticklength',[0.08 0.16]/2,'layer','top')
    
ylim([0,max(poly_100(:,2))])
xlim([min(poly_100(:,1)),max(poly_100(:,1))])
if kk == 1
%        annotation('textarrow',[0.63 0.75],[0.62 0.35],...
%         'String','$\widehat{FAC_{10}}_{1998T_thresh08}^{LAPA}$',...
%         'Interpreter','latex',...
%         'FontWeight','bold',...
%         'FontSize',14);
%     annotation('textarrow',[0.595 0.64],[0.48 0.37],...
%         'String','$\widehat{FAC_{10}}_{1953T_thresh17}^{DSA}$',...
%         'Interpreter','latex',...
%         'FontWeight','bold',...
%         'FontSize',14);
else
        set(gca,'YAxisLocation','right')

%     annotation('textbox',[0.12 0.385 .3 .3],...
%         'String','$\widehat{FAC_{10}}_{2010T_thresh17}^{LAPA - HAPA}$',...
%         'Interpreter','latex',...
%         'LineStyle','none',...
%         'FontWeight','bold',...
%         'FontSize',14);
%     annotation('textarrow',[0.28 0.35],[0.635 0.5],...
%         'String',' ');
%     annotation('textarrow',[0.28 0.35],[0.635 0.35],...
%         'String',' ');
%     annotation('textarrow',[0.21 0.25],[0.48 0.365],...
%         'String','$\widehat{FAC_{10}}_{1953T_thresh17}^{DSA}$',...
%         'Interpreter','latex',...
%         'FontWeight','bold',...
%         'FontSize',14);

end

end
h_dummy = plot([0 0],[NaN NaN]);
h_dummy.Color = h.LineColor;
h_dummy.LineStyle = h.LineStyle;
h_dummy.LineWidth = h.LineWidth;

h_leg_1 = legendflex(...
    [h_dummy,  h_yellow, h_red_light,  h_gray, h_red, h_green],...
    {'1 m contours ', ...
    'used in the DSA (1953 - 2017)',...
    'used in the LAPA (1998 - 2008)',...
    'unused',...
    'used in the LAPA (2010 - 2017)',...
    'used in the HAPA (2010 - 2017)'},...
    'title','Estimated FAC_{10}',...
    'box','off');
h_leg_2 = legendflex([h_obs_1 h_obs_2(1) h_obs_3, h_obs_33 h_obs_2(2)  h_obs_4],...
    {'from the DSA (1953 - 2017)',...
    'from the LAPA (1998 - 2008)',...
    'from the HAPA (2010 - 2017)',...
    'from the HAPA (1998)',...
    'from the LAPA (2010 - 2017)',...
    'selected from the firn line'},...
    'ncol',1,'box','off',...
    'title','Observed FAC_{10}');
% h_leg_1 = legendflex([h_firn h_dummy],...
%     {'envelope of remotely sensed firn area',...
%     'FAC_{10} contours'},...
%     'ncol',1,'box','off',...
%     'anchor',{'n' 'n'},...
%     'buffer',[100 -80]);

h_leg_1.Box = 'off';
h_leg_2.Box = 'off';
h_leg_1.Units = 'normalized';
h_leg_2.Units = 'normalized';
h_leg_1.Position(1:2) = [0.08 0.72];
h_leg_2.Position(1:2) = [0.5 0.72];
pos = [h_leg_1.Position(1:2)+[0 -0.02] h_leg_2.Position(1:2)+[0.25 -0.6]];  

annotation(f,'textbox',...
        [0.13 0.65 0.04 0.05],...
        'String','a)',...
        'LineStyle','none',...
        'FontWeight','bold',...
        'FontSize',20,...
        'FitBoxToText','off');

    annotation(f,'textbox',...
        [0.53 0.65 0.04 0.05],...
        'String','b)',...
        'LineStyle','none',...
        'FontWeight','bold',...
        'FontSize',20,...
        'FitBoxToText','off');


%%
print(f,sprintf('./Output/all_areas_%s_2d',orig),'-dtiff')
print(f,sprintf('./Output/all_areas_%s_2d',orig),'-dpdf')
end